# Corporate Balance

The Corporate Balance resource displays the current corporate balance of your workspace, which is the result of the sum of all Corporate Transactions within this workspace.

This balance is separate from your main Stark Bank balance and is the money available to run card authorizations.

The balance is never generated by you, but it can be retrieved to see the available information.

**Note:** Add money to your corporate balance with Corporate Invoices and send money back to your workspace with Corporate Withdrawals.

### The Corporate Balance object

**Attributes**

| Name | Type | Description |
| --- | --- | --- |
| `id` | STRING | Unique identifier for the corporate balance, which is the id of your workspace. Example: "5155165527080960". |
| `amount` | INTEGER | Current corporate balance amount of the workspace in cents. Example: 5000000 (R$50,000.00). |
| `limit` | INTEGER | Maximum negative balance allowed by you, capped by maxLimit. Example: 5000000 (R$50,000.00). |
| `maxLimit` | INTEGER | Maximum negative balance allowed by Stark Bank. Example: 10000000 (R$100,000.00). |
| `currency` | STRING | Currency code of the corporate balance. Expect others to be added eventually. Example: "BRL". |
| `updated` | STRING | Latest update datetime for the corporate balance. Example: "2023-05-10T14:32:20.912604+00:00". |

### Get the Corporate Balance

`GET /v2/corporate-balance`

Get the current corporate balance in your workspace.

**NOTE:** This route requires a project or member with permission to view transactions. Requests without it fail with an invalid permission error.

**Request**

```python
import starkbank

balance = starkbank.corporatebalance.get()

print(balance)
```

**Response**

```python
CorporateBalance(
    amount=5000000,
    currency=BRL,
    id=5155165527080960,
    limit=5000000,
    max_limit=10000000,
    updated=2023-05-10 14:32:20.912604
)
```

## Available Languages

Code samples on this page are in Python. The same content is available with samples in:

- [Python](https://docs.starkbank.com/api/v2/corporate-balance-python.md)
- [Node.js](https://docs.starkbank.com/api/v2/corporate-balance-node.md)
- [PHP](https://docs.starkbank.com/api/v2/corporate-balance-php.md)
- [Java](https://docs.starkbank.com/api/v2/corporate-balance-java.md)
- [Ruby](https://docs.starkbank.com/api/v2/corporate-balance-ruby.md)
- [Elixir](https://docs.starkbank.com/api/v2/corporate-balance-elixir.md)
- [.NET](https://docs.starkbank.com/api/v2/corporate-balance-dotnet.md)
- [Go](https://docs.starkbank.com/api/v2/corporate-balance-go.md)
- [Clojure](https://docs.starkbank.com/api/v2/corporate-balance-clojure.md)
- [cURL](https://docs.starkbank.com/api/v2/corporate-balance-curl.md)
